export interface WaveProps {
    placement?: string;
    speed?: number;
    maxPoints?: number;
    width?: number;
    height?: number;
    delta?: number;
    color?: string;
    gap?: number;
    flip?: boolean;
}
/**
 *
 * @link https://www.npmjs.com/package/react-native-waves/
 * @param {string} placement view position
 * @param {number} speed animation speed
 * @param {number} maxPoints number of wave points
 * @param {number} width wave width
 * @param {number} height wave height
 * @param {number} delta wave delta
 * @param {string} color wave color
 * @param {number} gap wave gap - used to adjust gap between waves with equal placement
 * @param {number} flip flip view
 * @returns JSX.Element
 */
declare function Wave({ placement, speed, maxPoints, width, height, delta, color, gap, flip }: WaveProps): any;
export default Wave;
